package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.params.DeviceDeliveryParam;
import com.qmth.sop.business.entity.TBDeviceDelivery;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * <p>
 * 设备发货表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-11-28
 */
public interface TBDeviceDeliveryService extends IService<TBDeviceDelivery> {
    /**
     * 设备发货导入
     *
     * @param file excel文件
     * @throws IOException 异常
     */
    void deviceDeliveryImport(MultipartFile file) throws IOException;

    /**
     * 设备发货修改
     *
     * @param deviceDeliveryParam 设备发货修改参数
     */
    void editDeviceDelivery(DeviceDeliveryParam deviceDeliveryParam);
}
